#
# spec file for package numatop
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           numatop
Version:        2.1
Release:        lp151.1.2
Summary:        A top-like tool for runtime memory locality monitoring on NUMA systems
License:        BSD-3-Clause
Group:          System/Monitoring
Url:            https://01.org/numatop
Source0:        https://github.com/intel/%{name}/releases/download/v%{version}/%{name}-v%{version}.tar.xz
BuildRequires:  check-devel
BuildRequires:  libnuma-devel
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  x86_64 ppc64le

%description
NumaTOP is an observation tool for runtime memory locality characterization
and analysis of processes and threads running on a NUMA system. It helps the
user characterize the NUMA behavior of processes and threads and identify
where the NUMA-related performance bottlenecks reside.
Numatop is supported on Intel Xeon processors: 5500-series, 6500/7500-series,
5600 series, E7-x8xx-series, and E5-16xx/24xx/26xx/46xx-series.
E5-16xx/24xx/26xx/46xx-series should be updated to latest CPU microcode
(microcode must be 0x618+ or 0x70c+). Kernel 3.9 or higher is required.

%prep
%setup -q -n %{name}-v%{version}

%build
%configure
# there seems to be wrong order of libnumatop.la and $(NCURSES_LIBS) in Makefile.am
make %{?_smp_mflags} LDFLAGS="-lncursesw -lncurses"

%install
%make_install

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8%{ext_man}

%changelog
* Mon Dec  3 2018 Vlastimil Babka <vbabka@suse.com>
- update to version 2.1
  * Add ppc64le support
  * New autotools-based build system
* Mon Nov 19 2018 Cristian Rodríguez <crrodriguez@opensuse.org>
- numatop-ncursesw.patch: Switch to ncursesw6
* Sat Mar 26 2016 mpluskal@suse.com
- Update to version 1.0.4
  * Add BDW-EP/EX support
* Fri Mar  6 2015 p.drouand@gmail.com
- Update to version 1.0.3
  * Add Haswell supporting
* Sun Aug 18 2013 vbabka@suse.com
- Restrict to x86_64 due to Intel CPU requirement and missing deps
  on x86.
* Thu Aug 15 2013 vbabka@suse.com
- Initial package
